<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:my="myFunctions"
 exclude-result-prefixes="my">

<!-- 
<purpose>pieces of html wrapped in templates, to be reused by other stylesheets</purpose>
<history>
	<change on="2011-09-01" type="created" by="vr">copied from  cmd_commons.xsl</change>
</history>

-->
<xsl:variable name="workspaceprofile" select="document($workspaceprofile_uri)" />

<xsl:template name="html-head">
	
	<title><xsl:value-of select="$title"/></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link href="{$base_dir}/style/jquery/clarindotblue/jquery-ui-1.8.5.custom.css" type="text/css" rel="stylesheet" />
	<link href="{$base_dir}/style/cmds-ui.css" type="text/css" rel="stylesheet"></link>

	<xsl:if test="contains($format,'htmljspage')">
		<link href="{$base_dir}/style/jquery/jquery-treeview/jquery.treeview.css" rel="stylesheet" />
		<link href="{$base_dir}/style/jquery/treetable/jquery.treeTable.css" rel="stylesheet" ></link>
		<!-- <link href="{$base_dir}/style/jquery/jquery-textboxlist/TextboxList.css" rel="stylesheet" type="text/css"></link> -->
		<!-- <link href="{$base_dir}/style/jquery/jquery-autocomplete/jquery.autocomplete.css" rel="stylesheet" type="text/css"></link> -->
		<link href="{$base_dir}/style/jquery/jquery-autocomplete/jquery-ui.css" rel="stylesheet" type="text/css"></link>
	
		<!-- <script src="{$base_dir}/scripts/jquery/js/jquery-1.4.2.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/jquery/js/jquery-ui-1.8.5.custom.min.js" type="text/javascript"></script>
		 -->
		<script src="{$base_dir}/scripts/jquery/js/jquery.min.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/jquery/js/jquery-ui.min.js" type="text/javascript"></script>
		
		<script src="{$base_dir}/scripts/jquery/jquery-treeview/jquery.treeview.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/jquery/jquery-treeTable/jquery.treeTable.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/jquery/jsTree.v.1.0rc2/jquery.jstree.js" type="text/javascript"></script>
		
		<script src="{$base_dir}/scripts/mdservice_helpers.js" type="text/javascript"></script>
		<!-- <script src="{$base_dir}/scripts/jquery/jquery-autocomplete/jquery.autocomplete.js" type="text/javascript"></script> -->
		<script src="{$base_dir}/scripts/jquery/jquery-layout/jquery.layout-1.3.0.rc29.12.js" type="text/javascript"></script>
		
		<script src="{$base_dir}/scripts/mdservice_ui_settings.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_helpers.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_ui_helpers.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_widgets.js" type="text/javascript"></script>
		
		<script src="{$base_dir}/scripts/mdservice_searchclause.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_model.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_pz2.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_ui_detail.js" type="text/javascript"></script>
		<script src="{$base_dir}/scripts/mdservice_ui_load.js" type="text/javascript"></script>
		
		<script src="{$base_dir}/scripts/mdservice_ui.js" type="text/javascript"></script>
				
	</xsl:if>
	
</xsl:template>


<xsl:template name="page-header">
	<div class="cmds-ui-block" id="titlelogin">
	<div id="logo"><a href="http://www.clarin.eu" ><img src="{$base_dir}/style/imgs/clarin-logo.png" alt="CLARIN"></img></a> <div id="site-name" >Metadata Browser</div>
	</div>
		<div id="top-menu">
				<div id="user">
						<xsl:choose>
						<xsl:when test="contains($format,'htmljspage')">
							<a href="{my:formURL('search','htmlpage',$q)}" > none js </a>
						</xsl:when>
						<xsl:otherwise>
							<a href="{my:formURL('search','htmljspage',$q)}" > js </a>
						</xsl:otherwise>
						</xsl:choose>
						
						<xsl:choose>
							<xsl:when test="$user = ''" > 
								<a href="workspace.jsp" >    login</a>
							</xsl:when>
							<xsl:otherwise>
							User: <b><xsl:value-of select="$user" /></b><a href="logout.jsp" >    logout</a>
							</xsl:otherwise>
						</xsl:choose>													
						<a target="_blank" href="static/info" > docs</a>
				</div>
				<div id="notify" class="cmds-elem-plus note" >
					<div id="notifylist" class="note">
					</div>
				</div> 
		</div>
	</div>
</xsl:template>


<xsl:template name="query-input" >
	
	<!-- QUERYSEARCH - BLOCK -->	 
	<div class="cmds-ui-block init-show"  id="querysearch" >
	 	<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>Search</span></div>
	 	<div class="content" id="query-input" >   	
		 	<form id="searchretrieve" action="{my:formURL('search', 'htmlpage','')}" method="get">	
		 	<table class="cmds-ui-elem-stretch">
		 	<tr>
		 	<td><input type="text" id="input-simplequery" name="query" value="{$q}" class="queryinput active"/>
				<div id="searchclauselist" class="queryinput inactive"/></td>
		 	<td><input type="submit"  value="submit" id="submit-query"/></td>
		 	</tr>
		 	</table>
				
				<div> 
					<table class="cmds-ui-elem-stretch ui-advanced">
					<tr>
					<td valign="top">
						<div id="repositories" >		
								<label>Repository</label> 
								<select id="repositories_select" name="repository">
								<xsl:for-each select="$workspaceprofile//WorkspaceProfile/Repositories/item" >
									<option><xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
									<xsl:if test="contains(name,$repository)">
									<xsl:attribute name="selected">true</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="name"/></option>
								</xsl:for-each>
								</select>								
						</div>
							<!--  selected collections  -->
							<!-- <label>Collections</label><br/>-->
				        	<div id="collections-widget" class="c-widget"></div>
					    	
					</td>
					<td valign="top">
						<label>Complex query</label><span id="switch-input" class='cmd'></span><br/>
						<!--  <div id="searchclauselist"></div>-->							
						<!--<input type="checkbox" checked="false" id="input-withsummary" name="WS"/><label>with Summary</label> 
						 -->
					</td>
					</tr>					        
				</table>	
			</div>
		</form>
		</div>
		<div id="termset_autocomplete" />
		<div id="terms_autocomplete" />
	</div>  	

</xsl:template>


<xsl:template name="query-list" >

<!-- QUERYLIST BLOCK -->
<div id="querylistblock" class="cmds-ui-block">
	<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>QUERYLIST</span></div>
	<div class="content"  id="querylist">
	</div>
</div>
</xsl:template>

<xsl:template name="detail-space" >

	
<div id="detailblock" class="cmds-ui-block">
<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>DETAIL</span></div>
<div class="content" id="details"></div>
</div>
</xsl:template>

<xsl:template name="public-space" >

<div id="public-space" class="cmds-ui-block">
		<div class="header"><span>Public Space</span></div>

		<div id="serverqs" class="content" >
		</div>	
</div>
</xsl:template>

<xsl:template name="user-space" >

<div class="cmds-ui-block init-show" id="user-space">
	<div class="header" ><span>Personal Workspace</span></div>	
	<div id="userqs" class="content">
			<div id="userquerysets" >		
				<label>Querysets</label><select id="qts_select" ></select>
				<!--  <button id="qts_add" class="cmd cmd_add" >Add</button> -->
				<span id="qts_add" class="cmd cmd_add" ></span> 
				<span id="qts_delete" class="cmd cmd_del" ></span>
			</div>
			
			<label>name</label>
			<input type="text" id="qts_input" ></input>
			<span id="qts_save" class="cmd cmd_save" ></span>
			<div id="userqueries" ></div>
	</div>
	<div id="userbs" class="content">
			<div id="bookmarksets" >		
				<label>Bookmarksets</label><select id="bts_select" ></select>
				<span id="bts_add" class="cmd cmd_add" ></span> 
				<span id="bts_delete" class="cmd cmd_del" ></span>
				<span id="bts_publish" class="cmd cmd_publish" ></span>
			</div>
			
			<label>name</label>
			<input type="text" id="bts_input" ></input>
			<span id="bts_save" class="cmd cmd_save" ></span>
			<div id="bookmarks" ></div>
	</div>	
</div>
</xsl:template>

</xsl:stylesheet>